## helma.servlet
Class EmbeddedServletClient

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              helma.servlet.AbstractServletClient
                  helma.servlet.EmbeddedServletClient

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public final class EmbeddedServletClient

extends AbstractServletClient

Servlet client that runs a Helma application for the embedded web server

See Also:
  Serialized Form

Constructor Summary
`EmbeddedServletClient()` Creates a new EmbeddedServletClient object.

Method Summary
`void` `init(javax.servlet.ServletConfig init)` Init this servlet.

Methods inherited from class helma.servlet.AbstractServletClient
`getServletInfo, parseParameters, parseParameters, parseUploads, service, writeResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedServletClient

    public EmbeddedServletClient()

  Creates a new EmbeddedServletClient object.

Method Detail

### init

    public void init(javax.servlet.ServletConfig init)
              throws javax.servlet.ServletException

  Description copied from class: `AbstractServletClient`
  Init this servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `AbstractServletClient`
  Parameters:
    `init` - ...
  Throws:
    `javax.servlet.ServletException` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.